// scripts/armor/sets/vanilla_armor.js
import { ARMOR_SETS, hasSet, safeAddEffect,E } from "./armors_index.js";

export function vanillaArmorSets(player, eqIds) {
  const diamond = hasSet(eqIds, ARMOR_SETS.diamond);
  const netherite = hasSet(eqIds, ARMOR_SETS.netherite);

  if (diamond) safeAddEffect(player, E.resistance, 0);
  if (netherite) safeAddEffect(player, E.regeneration, 0);

  if (hasSet(eqIds, ARMOR_SETS.copper)) safeAddEffect(player, E.resistance, 0);
  if (hasSet(eqIds, ARMOR_SETS.iron)) safeAddEffect(player, E.resistance, 1);
  if (hasSet(eqIds, ARMOR_SETS.ancient)) safeAddEffect(player, E.resistance, 0);

  if (hasSet(eqIds, ARMOR_SETS.chainmail)) {
    safeAddEffect(player, E.speed, 1);
    safeAddEffect(player, E.haste, 1);
  }
}
